#!/usr/bin/python
# Custom errors for sync events and conflicts

# Types of Errors
ERROR_SYNC = 'Error-SyncError'
ERROR_NETWORK = 'Error-Network'
ERROR_AUTH = 'Error-Authentication'
ERROR_NOTFOUND = 'Error-FileNotFound'

# General Sync Error
class SyncError(Exception):
	def __init__(self, type_, detail_=None):
		self.type = type_
		self.detail = detail_

	def __str__(self):
		return repr(self.type)


# Authentication Error
class AuthenticationError(SyncError):
	'''Error used for detecting and responding to failed authentication requests'''

	def __init__(self, type_, detail_=None):
		SyncError.__init__(self, type_, detail_)


# Connection Error
class ConnectionError(SyncError):
	'''Error used for detecting and responding to failed connections'''

	def __init__(self, type_, detail_ = None):
		SyncError.__init__(self, type_, detail_)
