#!/usr/bin/python

import os, posixpath, sys

## Functions for Working with URLs ##

def getDirectorySeparator():
	if sys.platform == 'win32': d_sep = '\\'
	else: d_sep = '/'
	return d_sep

def pathsplit(path_):
	return path_.rstrip(os.path.sep).split(os.path.sep)

def commonpath(l1, l2, common_=[]):
	if len(l1) < 1: return (common_, l1, l2)
	if len(l2) < 1: return (common_, l1, l2)
	if l1[0] != l2[0]: return (common_, l1, l2)
	return commonpath(l1[1:], l2[1:], common_+[l1[0]])

def relpath(p1, p2):
	(common_,l1,l2) = commonpath(pathsplit(p1), pathsplit(p2))
	p = []
	if len(l1) > 0:
		p = [ '../' * len(l1) ]
	p = p + l2
	if len(p) is 0:
		return '.'
	return posixpath.join( *p )

def abs2rel(path_, base_ = os.curdir):
	'''Return a relative path.'''
	base = os.path.abspath(base_)
	path = os.path.abspath(path_)
	return relpath(base_, path_)