# Load/Save Settings
import sys, os
from configobj import ConfigObj
import realtime

def findCollection(sync_collections, local_filepath):
	'''Iterate through the sync collections looking for which collection
		it belongs to.'''

	# Iterate through sync collection for a common filepath
	for collection_ in sync_collections:
		collection_localpath = sync_collections[collection_]['Local-Path']
		# If the common prefix matches the collection path, return the collection name
		if os.path.commonprefix([local_filepath, collection_localpath]) == collection_localpath:
			return collection_

	return None